package com.izouma.awesomeadmin.model;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;

@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SuperUser {

    private Integer userId;

    private String  userName;

    private Integer power;

    private String  password;

    private String  profile;

    private String  delFlag;


    public String getDelFlag() {

        return delFlag;
    }


    public void setDelFlag(String delFlag) {

        this.delFlag = delFlag;
    }


    public Integer getUserId() {

        return userId;
    }


    public void setUserId(Integer userId) {

        this.userId = userId;
    }


    public String getUserName() {

        return userName;
    }


    public void setUserName(String userName) {

        this.userName = userName;
    }


    public Integer getPower() {

        return power;
    }


    public void setPower(Integer power) {

        this.power = power;
    }


    public String getPassword() {

        return password;
    }


    public void setPassword(String password) {

        this.password = password;
    }


    public String getProfile() {

        return profile;
    }


    public void setProfile(String profile) {

        this.profile = profile;
    }


    @Override
    public String toString() {

        return "SuperUser [userId=" + userId + ", userName=" + userName + ", power=" + power + ", password=" + password + ", profile=" + profile
                + ", delFlag=" + delFlag + "]";
    }
}
